Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## gr.forth.ics.vrp.corevrp.model
Class Link

    java.lang.Object
      |
      +--gr.forth.ics.vrp.corevrp.model.Link

public class Link
extends Object

Link.java - A class for links containing subject and object of a statement.

Method Summary
`static boolean` | `checkLiteralType(String obj, String dts)` Checks the typing of literal values.
`boolean` | `domain_range_check(ArrayList domain, ArrayList range)`
`Object` | `getobject()` Get the object of a link.
`Object` | `getsubject()` Get the subject of a link.
`void` | `setobject(Literal lit)`
`void` | `setobject(Resource r)`
`void` | `setsubject(Resource r)`
`void` | `solve_links(Existing existing)` This method is for changing the Integer to links to the real java objects so, we do not need the HashTables any more.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getsubject

    public Object getsubject()

  Get the subject of a link.

### setsubject

    public void setsubject(Resource r)

### getobject

    public Object getobject()

  Get the object of a link.

### setobject

    public void setobject(Resource r)

### setobject

    public void setobject(Literal lit)

### solve_links

    public void solve_links(Existing existing)

  This method is for changing the Integer to links to the real java objects so, we do not need the HashTables any more.

### domain_range_check

    public boolean domain_range_check(ArrayList domain,
                                      ArrayList range)
                               throws Exception

    `Exception`

### checkLiteralType

    public static boolean checkLiteralType(String obj,
                                           String dts)

  Checks the typing of literal values.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD